# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "exodb/version"

Gem::Specification.new do |s|
    s.name          = 'exodb'
    s.version       = Exodb::VERSION
    s.date          = '2014-10-31'
    s.platform      = Gem::Platform::RUBY
    
    s.summary       = "A library for exome sequencing data management development"
    s.description   = "A library for exome sequencing data management"
    s.authors       = ["Natapol Pornputtapong"]
    s.email         = 'natapol.por@gmail.com'

    s.homepage      = 'http://rubygems.org/gems/dactyls'
    s.license       = 'GPL'
    
#    s.rubyforge_project = "neography"
    
    s.files         = `git ls-files`.split("\n")
    s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
    s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
    s.require_paths = ["lib"]
    
    s.add_dependency "mongoid", "~> 3.1"
    s.add_dependency "bio", "~> 1.4"
#    s.add_dependency "bio-samtools", "~> 2.2"
#    s.add_dependency "bio-vcf", "~> 0.8"
    s.add_dependency "highline", "~> 1.6"
    s.add_dependency "pry", "~> 0.10"
    
    
#    s.add_development_dependency "rspec", ">= 2.11"
#    s.add_dependency "httpclient", ">= 2.3.3"

end
